Рекомендация Debian по безопасности

DSA-1729-1 gst-plugins-bad0.10 -- несколько уязвимостей

Дата сообщения:
02.03.2009
Затронутые пакеты:
gst-plugins-bad0.10
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2009-0386, CVE-2009-0387, CVE-2009-0397.
Более подробная информация:

В gst-plugins-bad0.10, наборе различных дополнений для GStreamer, было обнаружено несколько уязвимостей. Проект Common Vulnerabilities and Exposures определяет следующие проблемы:

  • CVE-2009-0386

    Тобиас Кляйн обнаружил переполнение буфера в демультиплексоре потока quicktime (qtdemux), которое потенциально может приводить к выполнению произвольного кода при обработке специально сформированных файлов .mov.

  • CVE-2009-0387

    Тобиас Кляйн обнаружил ошибку индексации массива в демультиплексоре потока quicktime (qtdemux), которая потенциально может приводить к выполнению произвольного кода при обработке специально сформированных файлов .mov.

  • CVE-2009-0397

    Тобиас Кляйн обнаружил переполнение буфера в демультиплексоре потока quicktime (qtdemux), сходное с проблемой, о которой сообщалось в CVE-2009-0386, которое также может приводить к выполнению произвольного кода при обработке специально сформированны файлов .mov.

В предыдущем стабильном выпуске (etch) эти проблемы были исправлены в версии 0.10.3-3.1+etch1.

В стабильном выпуске (lenny) эти проблемы были исправлены в версии 0.10.8-4.1~lenny1 пакета gst-plugins-good0.10, поскольку подверженной уязвимостям дополнение было перемещено сюда. Это исправление уже включено в выпуск lenny.

В нестабильном (sid) и тестируемом (squeeze) выпуска эти проблемы были исправлены в версии 0.10.8-4.1 пакета gst-plugins-good0.10.

Исправлено в:

Debian GNU/Linux 4.0 (etch)

Исходный код:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gst-plugins-bad0.10_0.10.3-3.1+etch1.dsc
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gst-plugins-bad0.10_0.10.3.orig.tar.gz
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gst-plugins-bad0.10_0.10.3-3.1+etch1.diff.gz
Alpha:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch1_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch1_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch1_sparc.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.